Subject: bug#40294: Documentation for arity procedures doesn't match behavior

From: Taylan Kammer <[email-masked]>
Date: Sun, 16 May 2021 17:26:12 +0200

On 16.05.2021 02:07, Taylan Kammer wrote:
> 
> Will investigate more tomorrow.
> 

It seems that commit 1c33be992e8120abd20add8021e4d91d226f5b6a removed
much of the programs API at the C level but forgot to make the changes
to the corresponding Scheme module.  (It was a big commit, part of
changing the whole VM implementation.)

I wonder if anyone really uses the program API.  It might be best to
deprecate it in favor of an improved procedure metadata API.

--
Taylan